For AI agents: the documentation index is at /llms.txt, and this page is available as Markdown at /api/institutional/get-assets-cefi.md.

Get assets

GET
/v1/cefi/assets

Query for assets available on the exchange by specific asset ID or name. If no query parameters are supplied than ALL available assets will be returned.

Query Parameters

id?string

ID of asset to query for.

Match^[1-9][0-9]*$
Length1 <= length
name?string

Filters assets by name. Returns assets where the name is an exact match or contains the provided substring. Matching is case-sensitive.

Length1 <= length

Response Body

Successful operation.

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.truex.co/v1/cefi/assets'
Example Response
[  {    "id": "78901949717282824",    "status": "ACTIVE",    "fields": {      "name": "BTC",      "min_transfer_qty": "1000.01",      "max_transfer_qty": "9999.99",      "flags": [        "STABLECOIN"      ]    }  }]